diff --git a/src/locale/ko/configure.ini b/src/locale/ko/configure.ini
index ad425eb..13902b5 100755
--- a/src/locale/ko/configure.ini
+++ b/src/locale/ko/configure.ini
@@ -26,7 +26,7 @@
 ;
 [strings]
 ;
-; /Applications/MAMP/htdocs/git/yioop/src/controllers
+; /Applications/XAMPP/xamppfiles/htdocs/yioop/src/controllers
 ;
 ; AdminController.php line: 114
 admin_controller_need_cookies = ""
@@ -94,174 +94,174 @@ admin_controller_sort_ascending = ""
 ; AdminController.php line: 582
 admin_controller_sort_descending = ""
 ;
-; /Applications/MAMP/htdocs/git/yioop/src/controllers/components
+; /Applications/XAMPP/xamppfiles/htdocs/yioop/src/controllers/components
 ;
-; AccountaccessComponent.php line: 221
+; AccountaccessComponent.php line: 227
 accountaccess_component_no_posts_yet = ""
 ;
-; AccountaccessComponent.php line: 238
+; AccountaccessComponent.php line: 244
 accountaccess_component_passwords_too_long = ""
 ;
-; AccountaccessComponent.php line: 248
+; AccountaccessComponent.php line: 254
 accountaccess_component_passwords_dont_match = "비밀 번호가 일치하지 않습니다."
 ;
-; AccountaccessComponent.php line: 255
+; AccountaccessComponent.php line: 261
 accountaccess_component_invalid_password = ""
 ;
-; AccountaccessComponent.php line: 297
+; AccountaccessComponent.php line: 311
 accountaccess_component_unknown_imagetype = ""
 ;
-; AccountaccessComponent.php line: 302
+; AccountaccessComponent.php line: 316
 accountaccess_component_icon_too_big = ""
 ;
-; AccountaccessComponent.php line: 311
+; AccountaccessComponent.php line: 325
 accountaccess_component_no_user_folder = ""
 ;
-; AccountaccessComponent.php line: 320
+; AccountaccessComponent.php line: 334
 accountaccess_component_user_updated = ""
 ;
-; AccountaccessComponent.php line: 375
+; AccountaccessComponent.php line: 389
 accountaccess_component_active_status = ""
 ;
-; AccountaccessComponent.php line: 376
+; AccountaccessComponent.php line: 390
 accountaccess_component_inactive_status = ""
 ;
-; AccountaccessComponent.php line: 378
+; AccountaccessComponent.php line: 392
 accountaccess_component_suspended_status = ""
 ;
-; AccountaccessComponent.php line: 381
+; AccountaccessComponent.php line: 395
 accountaccess_component_request_join = ""
 ;
-; AccountaccessComponent.php line: 382
+; AccountaccessComponent.php line: 396
 accountaccess_component_invited = ""
 ;
-; AccountaccessComponent.php line: 383
+; AccountaccessComponent.php line: 397
 accountaccess_component_active_status = ""
 ;
-; AccountaccessComponent.php line: 385
+; AccountaccessComponent.php line: 399
 accountaccess_component_suspended_status = ""
 ;
-; AccountaccessComponent.php line: 434
+; AccountaccessComponent.php line: 448
 accountaccess_component_passwords_too_long = ""
 ;
-; AccountaccessComponent.php line: 439
+; AccountaccessComponent.php line: 453
 accountaccess_component_passwords_dont_match = "비밀 번호가 일치하지 않습니다."
 ;
-; AccountaccessComponent.php line: 443
+; AccountaccessComponent.php line: 457
 accountaccess_component_invalid_username = ""
 ;
-; AccountaccessComponent.php line: 447
+; AccountaccessComponent.php line: 461
 accountaccess_component_user_exists = ""
 ;
-; AccountaccessComponent.php line: 476
+; AccountaccessComponent.php line: 490
 accountaccess_component_user_added = ""
 ;
-; AccountaccessComponent.php line: 488
+; AccountaccessComponent.php line: 502
 accountaccess_component_user_doesnt_exist = ""
 ;
-; AccountaccessComponent.php line: 495
+; AccountaccessComponent.php line: 509
 accountaccess_component_cant_edit_public_user = ""
 ;
-; AccountaccessComponent.php line: 537
+; AccountaccessComponent.php line: 551
 accountaccess_component_passwords_dont_match = "비밀 번호가 일치하지 않습니다."
 ;
-; AccountaccessComponent.php line: 543
+; AccountaccessComponent.php line: 557
 accountaccess_component_user_updated = ""
 ;
-; AccountaccessComponent.php line: 549
+; AccountaccessComponent.php line: 563
 accountaccess_component_user_filter_group = ""
 ;
-; AccountaccessComponent.php line: 553
+; AccountaccessComponent.php line: 567
 accountaccess_component_user_filter_role = ""
 ;
-; AccountaccessComponent.php line: 568
+; AccountaccessComponent.php line: 582
 accountaccess_component_username_doesnt_exists = "아이디가 존재 하지 않습니다."
 ;
-; AccountaccessComponent.php line: 573
+; AccountaccessComponent.php line: 587
 accountaccess_component_cant_delete_builtin = ""
 ;
-; AccountaccessComponent.php line: 578
+; AccountaccessComponent.php line: 592
 accountaccess_component_user_deleted = ""
 ;
-; AccountaccessComponent.php line: 587
+; AccountaccessComponent.php line: 601
 accountaccess_component_username_doesnt_exists = "아이디가 존재 하지 않습니다."
 ;
-; AccountaccessComponent.php line: 592
+; AccountaccessComponent.php line: 606
 accountaccess_component_rolename_doesnt_exists = "사용자 권한 이름이 존재하지 않습니다."
 ;
-; AccountaccessComponent.php line: 598
+; AccountaccessComponent.php line: 612
 accountaccess_component_rolename_already_added = ""
 ;
-; AccountaccessComponent.php line: 604
+; AccountaccessComponent.php line: 618
 accountaccess_component_rolename_added = "사용자 권한 이름을 추가하였습니다."
 ;
-; AccountaccessComponent.php line: 614
+; AccountaccessComponent.php line: 628
 accountaccess_component_username_doesnt_exists = "아이디가 존재 하지 않습니다."
 ;
-; AccountaccessComponent.php line: 619
+; AccountaccessComponent.php line: 633
 accountaccess_component_groupname_doesnt_exists = ""
 ;
-; AccountaccessComponent.php line: 625
+; AccountaccessComponent.php line: 639
 accountaccess_component_groupname_already_added = ""
 ;
-; AccountaccessComponent.php line: 633
+; AccountaccessComponent.php line: 647
 accountaccess_component_groupname_added = ""
 ;
-; AccountaccessComponent.php line: 643
+; AccountaccessComponent.php line: 657
 accountaccess_component_username_doesnt_exists = "아이디가 존재 하지 않습니다."
 ;
-; AccountaccessComponent.php line: 649
+; AccountaccessComponent.php line: 663
 accountaccess_component_rolename_doesnt_exists = "사용자 권한 이름이 존재하지 않습니다."
 ;
-; AccountaccessComponent.php line: 658
+; AccountaccessComponent.php line: 672
 accountaccess_component_rolename_deleted = "사용자 권한이름을 삭제하였습니다."
 ;
-; AccountaccessComponent.php line: 672
+; AccountaccessComponent.php line: 686
 accountaccess_component_username_doesnt_exists = "아이디가 존재 하지 않습니다."
 ;
-; AccountaccessComponent.php line: 677
+; AccountaccessComponent.php line: 691
 accountaccess_component_groupname_doesnt_exists = ""
 ;
-; AccountaccessComponent.php line: 686
+; AccountaccessComponent.php line: 700
 accountaccess_component_group_deleted = ""
 ;
-; AccountaccessComponent.php line: 716
+; AccountaccessComponent.php line: 731
 accountaccess_component_username_doesnt_exists = "아이디가 존재 하지 않습니다."
 ;
-; AccountaccessComponent.php line: 722
+; AccountaccessComponent.php line: 737
 accountaccess_component_userstatus_updated = ""
 ;
-; AccountaccessComponent.php line: 898
+; AccountaccessComponent.php line: 913
 accountaccess_component_select_activityname = "엑티비티 이름을 선택해 주십시요."
 ;
-; AccountaccessComponent.php line: 923
+; AccountaccessComponent.php line: 938
 accountaccess_component_rolename_doesnt_exists = "사용자 권한 이름이 존재하지 않습니다."
 ;
-; AccountaccessComponent.php line: 939
+; AccountaccessComponent.php line: 954
 accountaccess_component_activity_added = "엑티비티를 추가했습니다."
 ;
-; AccountaccessComponent.php line: 948
+; AccountaccessComponent.php line: 963
 accountaccess_component_rolename_exists = "동일 권한 이름이 존재 합니다."
 ;
-; AccountaccessComponent.php line: 954
+; AccountaccessComponent.php line: 969
 accountaccess_component_rolename_added = "사용자 권한 이름을 추가하였습니다."
 ;
-; AccountaccessComponent.php line: 958
+; AccountaccessComponent.php line: 973
 accountaccess_component_rolename_blank = ""
 ;
-; AccountaccessComponent.php line: 967
+; AccountaccessComponent.php line: 982
 accountaccess_component_rolename_doesnt_exists = "사용자 권한 이름이 존재하지 않습니다."
 ;
-; AccountaccessComponent.php line: 985
+; AccountaccessComponent.php line: 1000
 accountaccess_component_activity_deleted = "엑티비티를 삭제 했습니다."
 ;
-; AccountaccessComponent.php line: 998
+; AccountaccessComponent.php line: 1013
 accountaccess_component_rolename_doesnt_exists = "사용자 권한 이름이 존재하지 않습니다."
 ;
-; AccountaccessComponent.php line: 1004
+; AccountaccessComponent.php line: 1019
 accountaccess_component_rolename_deleted = "사용자 권한이름을 삭제하였습니다."
 ;
-; AccountaccessComponent.php line: 1039
+; AccountaccessComponent.php line: 1054
 accountaccess_component_role_updated = ""
 ;
 ; AdvertisementComponent.php line: 60
@@ -1380,118 +1380,124 @@ system_component_configure_keyword_advertisements = ""
 ; SystemComponent.php line: 655
 system_component_configure_external_advertisements = ""
 ;
-; SystemComponent.php line: 738
+; SystemComponent.php line: 659
+system_component_configure_enable_bot_users = ""
+;
+; SystemComponent.php line: 661
+system_component_configure_disable_bot_users = ""
+;
+; SystemComponent.php line: 744
 captchasettings_element_text_captcha = ""
 ;
-; SystemComponent.php line: 740
+; SystemComponent.php line: 746
 captchasettings_element_hash_captcha = ""
 ;
-; SystemComponent.php line: 742
+; SystemComponent.php line: 748
 captchasettings_element_image_captcha = ""
 ;
-; SystemComponent.php line: 746
+; SystemComponent.php line: 752
 captchasettings_element_no_recovery = ""
 ;
-; SystemComponent.php line: 748
+; SystemComponent.php line: 754
 captchasettings_element_email_recovery = ""
 ;
-; SystemComponent.php line: 750
+; SystemComponent.php line: 756
 captchasettings_element_email_questions = ""
 ;
-; SystemComponent.php line: 755
+; SystemComponent.php line: 761
 serversettings_element_normal_authentication = ""
 ;
-; SystemComponent.php line: 757
+; SystemComponent.php line: 763
 serversettings_element_zkp_authentication = ""
 ;
-; SystemComponent.php line: 762
+; SystemComponent.php line: 768
 serversettings_element_normal_authentication = ""
 ;
-; SystemComponent.php line: 791
+; SystemComponent.php line: 797
 system_component_settings_updated = ""
 ;
-; SystemComponent.php line: 794
+; SystemComponent.php line: 800
 system_component_no_update_settings = ""
 ;
-; SystemComponent.php line: 836
+; SystemComponent.php line: 842
 system_component_no_resource_folder = ""
 ;
-; SystemComponent.php line: 850
+; SystemComponent.php line: 856
 system_component_invalid_filetype = ""
 ;
-; SystemComponent.php line: 855
+; SystemComponent.php line: 861
 system_component_file_too_big = ""
 ;
-; SystemComponent.php line: 870
+; SystemComponent.php line: 876
 system_component_configure_profile_change = "프로필을 업데이트 했습니다."
 ;
-; SystemComponent.php line: 874
+; SystemComponent.php line: 880
 system_component_configure_no_change_profile = "프로필을 업데이트하는데 문제가 발생했습니다."
 ;
-; SystemComponent.php line: 923
+; SystemComponent.php line: 929
 system_component_configure_reset_completed = ""
 ;
-; SystemComponent.php line: 926
+; SystemComponent.php line: 932
 system_component_configure_no_change_profile = "프로필을 업데이트하는데 문제가 발생했습니다."
 ;
-; SystemComponent.php line: 1005
+; SystemComponent.php line: 1011
 system_component_configure_use_absolute_path = ""
 ;
-; SystemComponent.php line: 1010
+; SystemComponent.php line: 1016
 system_component_configure_configure_diff_base_dir = ""
 ;
-; SystemComponent.php line: 1041
+; SystemComponent.php line: 1047
 system_component_configure_work_dir_set = "작업 디렉토리가 지정 됐습니다. 다시 로그인이 필요할수 있습니다."
 ;
-; SystemComponent.php line: 1052
+; SystemComponent.php line: 1058
 system_component_name_your_bot = "로봇 이름을 정해 주십시요."
 ;
-; SystemComponent.php line: 1073
+; SystemComponent.php line: 1079
 system_component_configure_work_profile_made = "작업 디렉토리와 프로필이 생성됐습니다."
 ;
-; SystemComponent.php line: 1077
+; SystemComponent.php line: 1083
 system_component_configure_no_set_config = "config.php 파일을  업데이트 실패했습니다."
 ;
-; SystemComponent.php line: 1084
+; SystemComponent.php line: 1090
 system_component_configure_no_create_profile = "프로필을 생성할수 없습니다."
 ;
-; SystemComponent.php line: 1091
+; SystemComponent.php line: 1097
 system_component_configure_work_dir_invalid = "작업 디렉토리가 올바르지 않습니다. 프로필을 생성할수 없습니다."
 ;
-; SystemComponent.php line: 1098
+; SystemComponent.php line: 1104
 system_component_configure_work_dir_invalid = "작업 디렉토리가 올바르지 않습니다. 프로필을 생성할수 없습니다."
 ;
-; SystemComponent.php line: 1127
+; SystemComponent.php line: 1133
 system_component_configure_profile_change = "프로필을 업데이트 했습니다."
 ;
-; SystemComponent.php line: 1131
+; SystemComponent.php line: 1137
 system_component_configure_no_change_profile = "프로필을 업데이트하는데 문제가 발생했습니다."
 ;
-; SystemComponent.php line: 1151
+; SystemComponent.php line: 1157
 system_component_describe_robot = "당신의 로봇을 기술해 주십시요."
 ;
-; SystemComponent.php line: 1205
+; SystemComponent.php line: 1211
 system_component_php_version = ""
 ;
-; SystemComponent.php line: 1213
+; SystemComponent.php line: 1219
 system_component_no_write_config_php = ""
 ;
-; SystemComponent.php line: 1218
+; SystemComponent.php line: 1224
 system_component_no_write_work_dir = ""
 ;
-; SystemComponent.php line: 1223
+; SystemComponent.php line: 1229
 system_component_post_size_small = ""
 ;
-; SystemComponent.php line: 1229
+; SystemComponent.php line: 1235
 system_component_missing_required = ""
 ;
-; SystemComponent.php line: 1253
+; SystemComponent.php line: 1259
 system_component_missing_optional = ""
 ;
-; SystemComponent.php line: 1259
+; SystemComponent.php line: 1265
 system_component_check_passed = ""
 ;
-; SystemComponent.php line: 1264
+; SystemComponent.php line: 1270
 system_component_using_local_config = ""
 ;
 ; Controller.php line: 127
@@ -1788,7 +1794,7 @@ statistics_controller_server = ""
 ; StatisticsController.php line: 204
 statistics_controller_os = ""
 ;
-; /Applications/MAMP/htdocs/git/yioop/src/views
+; /Applications/XAMPP/xamppfiles/htdocs/yioop/src/views
 ;
 ; AdminView.php line: 75
 admin_view_admin = "관리자"
@@ -1925,7 +1931,7 @@ crawlstatus_view_delete = "삭제"
 ; CrawlstatusView.php line: 269
 crawlstatus_view_no_previous_crawl = "전 크롤들이 없습니다."
 ;
-; /Applications/MAMP/htdocs/git/yioop/src/views/elements
+; /Applications/XAMPP/xamppfiles/htdocs/yioop/src/views/elements
 ;
 ; ActivityElement.php line: 56
 activity_element_activities = "활동들"
@@ -2443,85 +2449,94 @@ manageusers_element_email = ""
 ; ManageaccountElement.php line: 175
 manageaccount_element_is_advertiser = ""
 ;
-; ManageaccountElement.php line: 188
+; ManageaccountElement.php line: 190
+manageaccount_element_is_bot = ""
+;
+; ManageaccountElement.php line: 204
+manageaccount_element_bot_unique_token = ""
+;
+; ManageaccountElement.php line: 211
+manageaccount_element_bot_callback_url = ""
+;
+; ManageaccountElement.php line: 222
 manageaccount_element_password = ""
 ;
-; ManageaccountElement.php line: 195
+; ManageaccountElement.php line: 229
 manageaccount_element_new_password = "새 비밀번호:"
 ;
-; ManageaccountElement.php line: 201
+; ManageaccountElement.php line: 235
 manageaccount_element_retype_password = "다시 비밀번호를 적어주십시요:"
 ;
-; ManageaccountElement.php line: 211
+; ManageaccountElement.php line: 245
 manageaccount_element_new_recovery_qa = ""
 ;
-; ManageaccountElement.php line: 243
+; ManageaccountElement.php line: 277
 manageaccount_element_save = "저장"
 ;
-; ManageaccountElement.php line: 249
+; ManageaccountElement.php line: 283
 manageaccount_element_search_lang_settings = ""
 ;
-; ManageaccountElement.php line: 254
+; ManageaccountElement.php line: 288
 manageaccount_element_crawl_and_index = ""
 ;
-; ManageaccountElement.php line: 255
+; ManageaccountElement.php line: 289
 manageaccount_element_crawl_info = ""
 ;
-; ManageaccountElement.php line: 256
+; ManageaccountElement.php line: 290
 manageaccount_element_num_crawls = ""
 ;
-; ManageaccountElement.php line: 259
+; ManageaccountElement.php line: 293
 manageaccount_element_manage_crawls = ""
 ;
-; ManageaccountElement.php line: 261
+; ManageaccountElement.php line: 295
 manageaccount_element_query_statistics = ""
 ;
-; ManageaccountElement.php line: 266
+; ManageaccountElement.php line: 300
 manageaccount_element_groups_and_feeds = ""
 ;
-; ManageaccountElement.php line: 267
+; ManageaccountElement.php line: 301
 manageaccount_element_group_info = ""
 ;
-; ManageaccountElement.php line: 269
+; ManageaccountElement.php line: 303
 manageaccount_element_num_groups = ""
 ;
-; ManageaccountElement.php line: 272
+; ManageaccountElement.php line: 306
 manageaccount_element_num_group = ""
 ;
-; ManageaccountElement.php line: 289
+; ManageaccountElement.php line: 323
 manageaccount_element_manage = ""
 ;
-; ManageaccountElement.php line: 292
+; ManageaccountElement.php line: 326
 manageaccount_element_statistics = ""
 ;
-; ManageaccountElement.php line: 304
+; ManageaccountElement.php line: 338
 manageaccount_element_group_wiki = ""
 ;
-; ManageaccountElement.php line: 306
+; ManageaccountElement.php line: 340
 manageaccount_element_group_stats = ""
 ;
-; ManageaccountElement.php line: 311
+; ManageaccountElement.php line: 345
 manageaccount_element_last_post = ""
 ;
-; ManageaccountElement.php line: 321
+; ManageaccountElement.php line: 355
 manageaccount_element_manage_all_groups = ""
 ;
-; ManageaccountElement.php line: 323
+; ManageaccountElement.php line: 357
 manageaccount_element_go_to_group_feed = ""
 ;
-; ManageaccountElement.php line: 324
+; ManageaccountElement.php line: 358
 manageaccount_element_crawl_mixes = ""
 ;
-; ManageaccountElement.php line: 325
+; ManageaccountElement.php line: 359
 manageaccount_element_mixes_info = ""
 ;
-; ManageaccountElement.php line: 327
+; ManageaccountElement.php line: 361
 manageaccount_element_num_mixes = ""
 ;
-; ManageaccountElement.php line: 330
+; ManageaccountElement.php line: 364
 manageaccount_element_num_mix = ""
 ;
-; ManageaccountElement.php line: 334
+; ManageaccountElement.php line: 368
 manageaccount_element_manage_mixes = ""
 ;
 ; ManageadvertisementsElement.php line: 59
@@ -3925,7 +3940,13 @@ serversettings_element_top_adscript = ""
 ; ServersettingsElement.php line: 319
 serversettings_element_side_adscript = ""
 ;
-; ServersettingsElement.php line: 329
+; ServersettingsElement.php line: 330
+serversettings_element_bot_configuration = ""
+;
+; ServersettingsElement.php line: 335
+serversettings_element_bot_settings = ""
+;
+; ServersettingsElement.php line: 348
 serversettings_element_save = ""
 ;
 ; SigninElement.php line: 73
@@ -4300,7 +4321,7 @@ group_view_myfeeds = ""
 ; GroupView.php line: 201
 adminview_auto_logout_one_minute = "1 분내에 자동 로그 아웃 됍니다."
 ;
-; /Applications/MAMP/htdocs/git/yioop/src/views/helpers
+; /Applications/XAMPP/xamppfiles/htdocs/yioop/src/views/helpers
 ;
 ; FeedsHelper.php line: 70
 feeds_helper_view_feed_results = ""
@@ -4419,7 +4440,7 @@ toggle_helper_on = ""
 ; ToggleHelper.php line: 73
 toggle_helper_off = ""
 ;
-; /Applications/MAMP/htdocs/git/yioop/src/views/layouts
+; /Applications/XAMPP/xamppfiles/htdocs/yioop/src/views/layouts
 ;
 ; RssLayout.php line: 62
 rss_layout_title = "PHP 검색 엔진 - Yioop! : %s"
@@ -4961,6 +4982,9 @@ wiki_element_edit_page = ""
 ; WikiView.php line: 109
 wiki_element_page_history = ""
 ;
+; WikiView.php line: 111
+wiki_element_page_links = ""
+;
 ; WikiView.php line: 116
 wiki_element_read_page = ""
 ;
@@ -4970,6 +4994,9 @@ wiki_element_page_source = ""
 ; WikiView.php line: 121
 wiki_element_page_history = ""
 ;
+; WikiView.php line: 123
+wiki_element_page_links = ""
+;
 ; WikiView.php line: 129
 wiki_element_page_discuss = ""
 ;
@@ -4982,7 +5009,7 @@ wiki_element_group_feed = ""
 ; WikiView.php line: 197
 adminview_auto_logout_one_minute = "1 분내에 자동 로그 아웃 됍니다."
 ;
-; /Applications/MAMP/htdocs/git/yioop/src/library/indexing_plugins
+; /Applications/XAMPP/xamppfiles/htdocs/yioop/src/library/indexing_plugins
 ;
 ; WordfilterPlugin.php line: 355
 wordfilter_plugin_settings_saved = ""
